### Method

# Handy Avatar draw_to_pixbuf_async

#### Declaration [src]

    void
    hdy_avatar_draw_to_pixbuf_async (
      HdyAvatar* self,
      gint size,
      gint scale_factor,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Renders asynchronously `self` into a pixbuf at `size` and `scale_factor`.

This can be used to export the fallback avatar.

Available since: | 1.2

#### Parameters

`size` | `gint`
| The size of the pixbuf.
`scale_factor` | `gint`
| The scale factor.
`cancellable` | `GCancellable`
| A cancellable.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the avatar is generated.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.